id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Mp3Info Class Reference

`#include <mp3_header.h>`

## Public Member Functions
| Mp3Info ()
| ~Mp3Info ()
void | Clean ()
const Mp3_Headerinfo * | GetMp3HeaderInfo () const
bool | Parse (ID3_Reader &, size_t mp3size)
Mpeg_Layers | Layer () const
Mpeg_Version | Version () const
MP3_BitRates | Bitrate () const
Mp3_ChannelMode | ChannelMode () const
Mp3_ModeExt | ModeExt () const
Mp3_Emphasis | Emphasis () const
Mp3_Crc | Crc () const
uint32 | VbrBitrate () const
uint32 | Frequency () const
uint32 | Framesize () const
uint32 | Frames () const
bool | Private () const
bool | Copyrighted () const
bool | Original () const
uint32 | Seconds () const

## Detailed Description

Definition at line 33 of file mp3_header.h.

## Constructor & Destructor Documentation

Mp3Info::Mp3Info | ( |  | ) |
| inline

Definition at line 36 of file mp3_header.h.

Mp3Info::~Mp3Info | ( |  | ) |
| inline

Definition at line 37 of file mp3_header.h.

## Member Function Documentation

MP3_BitRates Mp3Info::Bitrate | ( |  | ) | const
| inline

Definition at line 45 of file mp3_header.h.

Mp3_ChannelMode Mp3Info::ChannelMode | ( |  | ) | const
| inline

Definition at line 46 of file mp3_header.h.

void Mp3Info::Clean | ( |  | ) |

Definition at line 93 of file mp3_parse.cpp.

bool Mp3Info::Copyrighted | ( |  | ) | const
| inline

Definition at line 55 of file mp3_header.h.

Mp3_Crc Mp3Info::Crc | ( |  | ) | const
| inline

Definition at line 49 of file mp3_header.h.

Mp3_Emphasis Mp3Info::Emphasis | ( |  | ) | const
| inline

Definition at line 48 of file mp3_header.h.

uint32 Mp3Info::Frames | ( |  | ) | const
| inline

Definition at line 53 of file mp3_header.h.

uint32 Mp3Info::Framesize | ( |  | ) | const
| inline

Definition at line 52 of file mp3_header.h.

uint32 Mp3Info::Frequency | ( |  | ) | const
| inline

Definition at line 51 of file mp3_header.h.

const Mp3_Headerinfo* Mp3Info::GetMp3HeaderInfo | ( |  | ) | const
| inline

Definition at line 40 of file mp3_header.h.

Mpeg_Layers Mp3Info::Layer | ( |  | ) | const
| inline

Definition at line 43 of file mp3_header.h.

Mp3_ModeExt Mp3Info::ModeExt | ( |  | ) | const
| inline

Definition at line 47 of file mp3_header.h.

bool Mp3Info::Original | ( |  | ) | const
| inline

Definition at line 56 of file mp3_header.h.

bool Mp3Info::Parse | ( | ID3_Reader & | reader,
|  | size_t | mp3size
| ) |  |

Definition at line 102 of file mp3_parse.cpp.

bool Mp3Info::Private | ( |  | ) | const
| inline

Definition at line 54 of file mp3_header.h.

uint32 Mp3Info::Seconds | ( |  | ) | const
| inline

Definition at line 57 of file mp3_header.h.

uint32 Mp3Info::VbrBitrate | ( |  | ) | const
| inline

Definition at line 50 of file mp3_header.h.

Mpeg_Version Mp3Info::Version | ( |  | ) | const
| inline

Definition at line 44 of file mp3_header.h.

The documentation for this class was generated from the following files:

- src/mp3_header.h
- src/mp3_parse.cpp